.bc-cart-w * {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

.bc-cart-w {
    display: inline-block;
    position: relative;
    top: 100px;
    z-index: 1;
    right: 0;
    /* -ms-transform: translateX(100%);
    -webkit-transform: translateX(100%); */
    /* transform: translateX(100%); */
    -webkit-transition: all .4s;
    -o-transition: all .4s;
    transition: all .4s;
}

.bc-cart-w--left {
    right: auto;
    left: 0;
    -webkit-transform: translateX(-100%);
    -ms-transform: translateX(-100%);
    transform: translateX(-100%);
}

.bc-cart-w--left .bc-cart-w-btn-show-cart {
    left: auto;
    right: -58px;
    border-radius: 0 2px 2px 0;
    -webkit-border-radius: 0 2px 2px 0;
    border-radius: 0 2px 2px 0;
}

.bc-cart-w.bc-cart-w-visible {
    /* -ms-transform: translateX(0) translateY(-50%);
    -webkit-transform: translateX(0) translateY(-50%);
    transform: translateX(0) translateY(-50%); */
    /* top: 50% !important; */
}

.bc-cart-w-btn-show-cart {
    /* position: absolute;
    left: -58px; */
    /* position: relative; */
    position: absolute;
    left: 0;
    /* top: 3px; */
    top: 44px;
    width: 58px;
    height: 50px;
    /* background: #e2e2e2; */
    background: transparent;
    -webkit-border-radius: 2px 0 0 2px;
    border-radius: 2px 0 0 2px;
    cursor: pointer;
    border-right: none;
    z-index: 10;
}

.bc-cart-w-btn-show-cart-count {
    position: absolute;
    left: 26px;
    top: 12px;
    width: 17px;
    height: 17px;
    line-height: 20px;
    white-space: nowrap;
    font-size: 12px;
    color: #FFF;
    -webkit-border-radius: 100%;
    border-radius: 100%;
    text-align: center;
    background-color: #ee3733;
    line-height: 24px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.bc-cart-w-btn-show-cart-count__ico {
    position: absolute;
    left: 17px;
    top: 15px;
    margin: 0 0 0 -8px;
    width: 32px;
    height: 32px;
}

.bc-cart-w-visible .bc-cart-w-btn-show-cart-count,
.bc-cart-w-visible .bc-cart-w-btn-show-cart-count__ico {
    /* display: none; */
}

.bc-cart-w-btn-show-cart-count__close {
    display: none;
    position: absolute;
    left: 9px;
    /* top: 17px; */
    top: 60px;
    width: 44px;
    height: 44px;
    transform: scale(0.6) translate(2px, -4px);
}

.bc-cart-w-btn-show-cart-count__close:hover {
    fill: #ee3834;
}

.bc-cart-w-visible .bc-cart-w-btn-show-cart-count__close {
    display: block;
}

.bc-cart-w-content {
    opacity: 0;
    display: none;
    background-color: #fff;
    min-width: 700px;
    /* position: relative; */
    position: absolute;
    top: 61px;
    right: -55px;
    transition: all .5s;
}

.bc-cart-w-visible .bc-cart-w-content {
    opacity: 1;
    display: inline-block;
    transition: all .5s;
}

.bc-cart-w.bc-cart-w-visible .bc-cart-w-content {
    -webkit-box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.25);
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.25);
}

.bc-cart-w-title {
    font-size: 20px;
    color: #000;
    font-weight: 700;
    line-height: 1;
}

.bc-cart-w-delete-all:link,
.bc-cart-w-delete-all:visited,
.bc-cart-w-delete-all {
    display: inline-block;
    padding: 5px 20px 6px 10px;
    -webkit-transition: all 0.3s;
    -o-transition: all 0.3s;
    transition: all 0.3s;
    color: #000;
    position: absolute;
    right: 30px;
    top: 22px;
    font-size: 12px;
    text-decoration: none;
    line-height: 21px;
}

.bc-cart-w-delete-all:before {
    content: '';
    display: inline-block;
    position: absolute;
    background-image: url(images/i_cart-item-delete.png);
    cursor: pointer;
    width: 7px;
    height: 7px;
    top: 13px;
    right: 6px;
}

.bc-cart-w-delete-all:hover {
    background-color: #f00;
    color: #fff;
    ;
}

.bc-cart-w-delete-all:hover:before {
    background-image: url(images/i_cart-item-delete_a.png);
}

.bc-cart-w-content-inner {
    clear: both;
}

.bc-cart-w-title-w {
    overflow: hidden;
    padding: 27px 30px 29px;
}

.bc-cart-w-content-item,
.bc-cart-w-content-item-header-w {
    display: table;
    width: 100%;
    padding: 15px 20px 15px;
}

.bc-cart-w-content-item-header,
.bc-cart-w-content-item-body {
    display: table-cell;
}

.bc-cart-w-content-item-body-1,
.bc-cart-w-content-item-header-1 {
    width: 60%;
    border-right: 1px solid #e2e2e2;
    width: 330px;
}

.bc-cart-w-content-item-body-2,
.bc-cart-w-content-item-header-2 {
    width: 20%;
    border-right: 1px solid #e2e2e2;
    width: 128px;
}

.bc-cart-w-content-item-body-3,
.bc-cart-w-content-item-header-3 {
    /* width: 20%; */
}

.bc-cart-w-content-item-header-w {
    background-color: rgb(242, 242, 242);
    text-align: center;
    border-top: 1px solid #e2e2e2;
    border-bottom: 1px solid #e2e2e2;
}

.bc-cart-w-content-tbl-total {
    background-color: rgb(242, 242, 242);
    padding: 15px 60px 15px 20px;
    text-align: right;
    font-size: 22px;
    font-weight: 700;
    color: #000;
    border-top: 1px solid #e2e2e2;
    border-bottom: 1px solid #e2e2e2;
}

.bc-cart-w-content-tbl-discount {
    font-weight: 300;
    font-size: 14px;
    margin-bottom: 5px;
}

.bc-cart-w-content-item:not(:last-child) {
    border-bottom: 1px solid #eee;
}

.bc-cart-w-content-item-body-2 {
    font-size: 16px;
    color: #000;
    font-weight: 700;
    text-align: center;
    position: relative;
}

.bc-cart-w-content-price-w {
    position: absolute;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    width: 100%;
}

.bc-cart-w-content--old-price {
    font-size: 15px;
    color: #8c8c8c;
    font-weight: 400;
    position: relative;
    display: inline-block
}

.bc-cart-w-content--old-price:before {
    content: '';
    display: block;
    position: absolute;
    border-top: 1px solid #000;
    top: 50%;
    left: -2px;
    right: -2px;
}

.bc-cart-w-content-counter-qty {
    cursor: pointer;
    width: 27px;
    height: 27px;
    display: block;
    float: left;
    text-align: center;
    border: 1px solid #a9a9a9;
    position: relative;
    font-size: 0;
    background-repeat: no-repeat;
    background-position: 50% 50%;
}

.bc-cart-w-content-counter-qty:hover {
    background-color: #f2f2f2;
}

.bc-cart-w-content-counter {
    display: inline-block;
    position: absolute;
    width: 90px;
    top: 50%;
    margin-top: -14px;
    left: 50%;
    margin-left: -45px;
}

.bc-cart-w-content-counter-qty.minus {
    left: 1px;
    background-image: url(images/i_minus.png);
}

.bc-cart-w-content-counter-qty.plus {
    right: 1px;
    background-image: url(images/i_plus.png);
}

.bc-cart-w-content-counter .counter-field {
    cursor: pointer;
    width: 27px;
    height: 27px;
    display: block;
    float: left;
    border: 1px solid #a9a9a9;
    position: relative;

    background-repeat: no-repeat;
    background-position: 50% 50%;
    text-align: center;
    padding: 0;
    color: #000;
}

.bc-cart-w-content-counter .counter-field:hover,
.bc-cart-w-content-counter .counter-field:focus,
.bc-cart-w-content-counter .counter-field:active {
    outline: none;
}

.bc-cart-w-content-name a:visited,
.bc-cart-w-content-name a:link,
.bc-cart-w-content-name a {
    font-weight: 700;
    font-size: 14px;
    color: #000;
    text-decoration: none;
}

.bc-cart-w-content-checkout:visited,
.bc-cart-w-content-checkout:link,
.bc-cart-w-content-checkout {
    display: inline-block;
    text-decoration: none;
    color: #fff;
    font-size: 14px;
    font-weight: 300;
    text-transform: uppercase;
    padding: 6px 16px;
    -moz-border-radius: 3px;
    -o-border-radius: 3px;
    transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -webkit-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    background-color: #ee3733;
    float: right;
}

.bc-cart-w-content-checkout:hover,
.bc-cart-w-content-checkout:active,
.bc-cart-w-content-checkout:focus {
    background: #444;
    color: #fff;
}

.bc-cart-continue-shopping-link:visited,
.bc-cart-continue-shopping-link:link,
.bc-cart-continue-shopping-link {
    color: #000;
    display: inline-block;
    text-decoration: none;
    font-size: 12px;
    font-weight: 300;
    text-transform: uppercase;
    padding: 6px 16px;
    -moz-border-radius: 3px;
    -o-border-radius: 3px;
    transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -webkit-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
}

.bc-cart-continue-shopping-link:hover,
.bc-cart-continue-shopping-link:active,
.bc-cart-continue-shopping-link:focus {
    color: #fff;
    background-color: #000;
}

.bc-cart-w-content-attr {
    font-size: 11px;
}

.bc-cart-w-content-attr-value {
    color: #000;
}

.bc-cart-w-content-item-image {
    float: left;
    margin-right: 15px;
    width: 80px;
    text-align: center;
}

.bc-cart-w-content-item-image img {
    max-width: 100%;
}

.bc-cart-w-content-tbl-checkout {
    overflow: hidden;
    padding: 15px 30px 15px;
}

.bc-cart-w-content-td-remove-link {
    right: -2px;
    content: '';
    display: inline-block;
    position: absolute;
    /* background-image: url(images/i_cart-item-delete.png); */
    cursor: pointer;
    width: 14px;
    height: 14px;
    top: 50%;
    font-size: 0;
    margin-top: -5px;
    padding: 2px;
    -webkit-border-radius: 50%;
    border-radius: 50%;
    -webkit-transition: all 0.2s;
    -o-transition: all 0.2s;
    transition: all 0.2s;

}

.bc-cart-w-content-td-remove-link:hover {
    fill: #ffffff;
    background-color: #ff0100;
}

.bc-cart-w-content-item-body.bc-cart-w-content-item-body-3 {
    text-align: center;
    position: relative;
}

.bc-cart-w-content-tbl-w {
    /* max-height: 300px; */
    /* max-height: calc(100vh - 190px - 76px - 53px);
    overflow-y: auto; */

}

.bc-cart-w-content-inner {
    max-height: calc(100vh - 76px - 190px);
    overflow-y: auto;
}

.bc-cart-w-content-title-empty {
    padding: 0 30px 20px;
    font-size: 12px;
    color: #000;
    font-weight: 700;
}

.bc-cart-w-content-item-detail {
    min-height: 50px;
}

.bc-cart-fly-item {
    background-color: #f00;
    width: 30px;
    height: 30px;
    -webkit-border-radius: 50%;
    border-radius: 50%;
    color: #fff;
    text-align: center;
    line-height: 30px;
    font-size: 16px;
    background: url(images/cart.png) no-repeat;
    -webkit-background-size: 100% 100%;
    background-size: 100%;
}


/*button add to cart start*/
.product-buy-block [name="product_count"] {
    cursor: pointer;
    width: 27px;
    height: 27px;
    display: block;
    float: left;
    border: 1px solid #a9a9a9;
    position: relative;
    background-repeat: no-repeat;
    background-position: 50% 50%;
    text-align: center;
    padding: 0;
    color: #000;
    margin-right: -1px;

}

.product-buy-block .product-buy-link {
    display: inline-block;
    color: white;
    background-color: #009688;
    padding: 5px 15px 6px;
    -webkit-border-radius: 2px;
    border-radius: 2px;
    text-decoration: none;
    height: 27px;
    font-size: 13px;
    line-height: 1.4;
}

.product-buy-block .product-buy-link:hover,
.product-buy-block .product-buy-link:focus {
    background-color: #26A69A;
}

.product-buy-block {
    margin: 15px 0;
    overflow: hidden;
}

.product-count-spinner__item {
    cursor: pointer;
    width: 25px;
    height: 27px;
    display: block;
    float: left;
    text-align: center;
    border: 1px solid #a9a9a9;
    position: relative;
    font-size: 0;
    background-repeat: no-repeat;
    background-position: 50% 50%;
}

.product-count-spinner__item--down {
    margin-right: -1px;
    background-image: url(images/i_minus.png);
}

.product-count-spinner__item--up {

    background-image: url(images/i_plus.png);
}

.product-count-spinner {
    margin-right: 5px;
    float: left;

}

.product-buy-link_in-cart {
    cursor: not-allowed;
    opacity: 0.7;
}

/*button add to cart end*/
.additional-params-item {
    border: 1px solid rgb(158, 158, 158);
    border-radius: 4px;
    display: inline-block;
    padding: 2px 5px;
    line-height: 11px;
    background-color: rgb(158, 158, 158);
    color: rgb(255, 255, 255);
    margin: 0 1px;
}

.one-click {
    display: none;
}

.one-click-phone {
    margin: 30px 47px;
    display: flex;
    justify-content: space-between;
}

.one-click-phone input[type="text"] {
    padding: 5px;
    border-radius: 5px;
    border: 1px solid;
    width: 40%;
}

.one-click-button {
    cursor: pointer;
}

a.bc-cart-w-content-checkout {
    margin-right: 15px;
}

.error-one-click {
    color: red;
    margin: -20px 47px 15px;
    font-size: 16px;
}

.success-one-click {
    color: green;
    margin: -20px 47px 15px;
    font-size: 16px;
}

#bx_incl_area_7 {
    height: 0;
}

#bee_cart {
    position: absolute;
    top: 66px !important;
    right: 110px;
}

.bc-cart-w-btn-show-cart-count__close svg {
    fill: #004394 !important;
}

@media (max-width: 1024px) {
    #bee_cart {
        position: static;
        top: -93px !important;
        right: 190px;
    }

    .bc-cart-w-btn-show-cart {
        left: auto;
        top: 0;
    }

    .bc-cart-w-btn-show-cart-count__ico svg,
    .bc-cart-w-btn-show-cart-count__close svg {
        fill: #004394 !important;
    }

    .bc-cart-w-btn-show-cart-count {
        top: 7px;
    }

    .bc-cart-w-btn-show-cart-count__ico {
        top: 9px;
    }

    .bc-cart-w-content-inner {
        max-height: calc(100vh - 165px);
        overflow-y: auto;
    }

}

@media (min-width: 768px) and (max-width: 1024px) {
    .bc-cart-w-content {
        min-width: 596px;
    }

    .bc-cart-w-content {
        right: 0;
    }
}

@media (max-width: 767px) {

    .bc-cart-w.bc-cart-w-visible .bc-cart-w-btn-show-cart-count__ico,
    .bc-cart-w.bc-cart-w-visible .bc-cart-w-btn-show-cart-count {
        display: none;
    }

    .bc-cart-w-content {
        width: 96vw !important;
        top: -2px;
        right: -72px;
    }

    .bc-cart-w-btn-show-cart-count__close {
        left: 65px;
        top: 8px;
        transform: scale(0.6) translate(21px, -24px);
    }

    .bc-cart-w-delete-all:link {
        top: 46px !important;
        right: 0;
    }

    .bc-cart-w-content-inner {
        max-height: 45vh;
    }

    .bc-cart-w-content-inner {
        max-height: calc(100vh - 260px);
        overflow-y: auto;
    }

    .show-one-click-buy {
        margin-bottom: 5px;
    }

    #bee_cart .bc-cart-w-content-tbl-checkout {
        display: flex;
        flex-direction: column;
    }
}

@media (min-width: 768px) and (max-width: 773px) {
    #bee_cart {
        right: 22vw;
    }
}

@media (min-width: 774px) and (max-width: 783px) {
    #bee_cart {
        right: 23vw;
    }
}

@media (min-width: 784px) and (max-width: 794px) {
    #bee_cart {
        right: 24vw;
    }
}

@media (max-width: 767px) {
    #bee_cart {
        right: 120px;
    }
}

@media (max-width: 480px) {
    #bee_cart {
        top: -81px !important;
    }

    .bc-cart-w-content {
        top: -2px;
    }

    .bc-cart-w-btn-show-cart-count__close {
        top: 10px;
    }

    .bc-cart-w-content-inner {
        max-height: calc(100vh - 237px);
        overflow-y: auto;
    }
}

@media (max-width: 479px) {
    #bee_cart {
        top: -82px !important;
    }

    .bc-cart-w-content {
        width: 94vw !important;
    }
}



@media (max-width: 380px) {

    .bc-cart-w-visible .bc-cart-w-btn-show-cart-count__close,
    .bc-cart-w-visible .bc-cart-w-btn-show-cart-count__ico,
    .bc-cart-w-visible .bc-cart-w-btn-show-cart-count {
        /* display: block !important; */
    }

    .bc-cart-w-visible .bc-cart-w-btn-show-cart-count {
        /* display: flex !important; */
    }

    .bc-cart-w-visible .bc-cart-w-btn-show-cart:before {
        display: none !important;
    }

    .bc-cart-w-visible .bc-cart-w-btn-show-cart {
        /* top: 8px !important; */
    }

    .bc-cart-w-delete-all:link {
        top: 0 !important;
    }

    .bc-cart-w-visible .bc-cart-w-btn-show-cart-count__ico,
    .bc-cart-w-visible .bc-cart-w-btn-show-cart-count__ico {
        display: none !important;
    }

    .bc-cart-w-visible .bc-cart-w-btn-show-cart-count__close {
        display: block !important;
    }
}

@media (max-width: 360px) {
    .bc-cart-w-content-inner {
        max-height: calc(100vh - 280px);
        overflow-y: auto;
    }
}